package com.mortals.xhx.module.care.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.care.model.CareConfigTimesEntity;
/**
* 主动关怀时间段查询对象
*
* @author zxfei
* @date 2023-04-09
*/
public class CareConfigTimesQuery extends CareConfigTimesEntity {
    /** 开始 序号，主键，自增长 */
    private Long IdStart;

    /** 结束 序号，主键，自增长 */
    private Long IdEnd;

    /** 增加 序号，主键，自增长 */
    private Long IdIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> IdList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> IdNotList;

    /** 开始 主动关怀配置id */
    private Long careCfgIdStart;

    /** 结束 主动关怀配置id */
    private Long careCfgIdEnd;

    /** 增加 主动关怀配置id */
    private Long careCfgIdIncrement;

    /** 主动关怀配置id列表 */
    private List <Long> careCfgIdList;

    /** 主动关怀配置id排除列表 */
    private List <Long> careCfgIdNotList;

    /** 开始 时间段时候开始时间 */
    private String serviceTimeStartStart;

    /** 结束 时间段时候开始时间 */
    private String serviceTimeStartEnd;

    /** 开始 时间段结束时间 */
    private String serviceTimeEndStart;

    /** 结束 时间段结束时间 */
    private String serviceTimeEndEnd;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CareConfigTimesQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CareConfigTimesQuery> andConditionList;

    public CareConfigTimesQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return IdStart
    */
    public Long getIdStart(){
        return this.IdStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param IdStart
    */
    public void setIdStart(Long IdStart){
        this.IdStart = IdStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $IdEnd
    */
    public Long getIdEnd(){
        return this.IdEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param IdEnd
    */
    public void setIdEnd(Long IdEnd){
        this.IdEnd = IdEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return IdIncrement
    */
    public Long getIdIncrement(){
        return this.IdIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param IdIncrement
    */
    public void setIdIncrement(Long IdIncrement){
        this.IdIncrement = IdIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return IdList
    */
    public List<Long> getIdList(){
        return this.IdList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param IdList
    */
    public void setIdList(List<Long> IdList){
        this.IdList = IdList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return IdNotList
    */
    public List<Long> getIdNotList(){
        return this.IdNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param IdNotList
    */
    public void setIdNotList(List<Long> IdNotList){
        this.IdNotList = IdNotList;
    }


    /**
    * 获取 开始 主动关怀配置id
    * @return careCfgIdStart
    */
    public Long getCareCfgIdStart(){
        return this.careCfgIdStart;
    }

    /**
    * 设置 开始 主动关怀配置id
    * @param careCfgIdStart
    */
    public void setCareCfgIdStart(Long careCfgIdStart){
        this.careCfgIdStart = careCfgIdStart;
    }

    /**
    * 获取 结束 主动关怀配置id
    * @return $careCfgIdEnd
    */
    public Long getCareCfgIdEnd(){
        return this.careCfgIdEnd;
    }

    /**
    * 设置 结束 主动关怀配置id
    * @param careCfgIdEnd
    */
    public void setCareCfgIdEnd(Long careCfgIdEnd){
        this.careCfgIdEnd = careCfgIdEnd;
    }

    /**
    * 获取 增加 主动关怀配置id
    * @return careCfgIdIncrement
    */
    public Long getCareCfgIdIncrement(){
        return this.careCfgIdIncrement;
    }

    /**
    * 设置 增加 主动关怀配置id
    * @param careCfgIdIncrement
    */
    public void setCareCfgIdIncrement(Long careCfgIdIncrement){
        this.careCfgIdIncrement = careCfgIdIncrement;
    }

    /**
    * 获取 主动关怀配置id
    * @return careCfgIdList
    */
    public List<Long> getCareCfgIdList(){
        return this.careCfgIdList;
    }

    /**
    * 设置 主动关怀配置id
    * @param careCfgIdList
    */
    public void setCareCfgIdList(List<Long> careCfgIdList){
        this.careCfgIdList = careCfgIdList;
    }

    /**
    * 获取 主动关怀配置id
    * @return careCfgIdNotList
    */
    public List<Long> getCareCfgIdNotList(){
        return this.careCfgIdNotList;
    }

    /**
    * 设置 主动关怀配置id
    * @param careCfgIdNotList
    */
    public void setCareCfgIdNotList(List<Long> careCfgIdNotList){
        this.careCfgIdNotList = careCfgIdNotList;
    }


    /**
    * 获取 开始 时间段时候开始时间
    * @return serviceTimeStartStart
    */
    public String getServiceTimeStartStart(){
        return this.serviceTimeStartStart;
    }

    /**
    * 设置 开始 时间段时候开始时间
    * @param serviceTimeStartStart
    */
    public void setServiceTimeStartStart(String serviceTimeStartStart){
        this.serviceTimeStartStart = serviceTimeStartStart;
    }

    /**
    * 获取 结束 时间段时候开始时间
    * @return serviceTimeStartEnd
    */
    public String getServiceTimeStartEnd(){
        return this.serviceTimeStartEnd;
    }

    /**
    * 设置 结束 时间段时候开始时间
    * @param serviceTimeStartEnd
    */
    public void setServiceTimeStartEnd(String serviceTimeStartEnd){
        this.serviceTimeStartEnd = serviceTimeStartEnd;
    }

    /**
    * 获取 开始 时间段结束时间
    * @return serviceTimeEndStart
    */
    public String getServiceTimeEndStart(){
        return this.serviceTimeEndStart;
    }

    /**
    * 设置 开始 时间段结束时间
    * @param serviceTimeEndStart
    */
    public void setServiceTimeEndStart(String serviceTimeEndStart){
        this.serviceTimeEndStart = serviceTimeEndStart;
    }

    /**
    * 获取 结束 时间段结束时间
    * @return serviceTimeEndEnd
    */
    public String getServiceTimeEndEnd(){
        return this.serviceTimeEndEnd;
    }

    /**
    * 设置 结束 时间段结束时间
    * @param serviceTimeEndEnd
    */
    public void setServiceTimeEndEnd(String serviceTimeEndEnd){
        this.serviceTimeEndEnd = serviceTimeEndEnd;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param Id
    */
    public CareConfigTimesQuery Id(Long Id){
	    setId(Id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param IdStart
    */
    public CareConfigTimesQuery IdStart(Long IdStart){
		this.IdStart = IdStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param IdEnd
    */
    public CareConfigTimesQuery IdEnd(Long IdEnd){
		this.IdEnd = IdEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param IdIncrement
    */
    public CareConfigTimesQuery IdIncrement(Long IdIncrement){
		this.IdIncrement = IdIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param IdList
    */
    public CareConfigTimesQuery IdList(List<Long> IdList){
        this.IdList = IdList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param IdNotList
        */
        public CareConfigTimesQuery IdNotList(List<Long> IdNotList){
        this.IdNotList = IdNotList;
        return this;
        }

    /**
    * 设置  主动关怀配置id
    * @param careCfgId
    */
    public CareConfigTimesQuery careCfgId(Long careCfgId){
	    setCareCfgId(careCfgId);
		return this;
    }
	
	 /**
    * 设置 开始 主动关怀配置id
    * @param careCfgIdStart
    */
    public CareConfigTimesQuery careCfgIdStart(Long careCfgIdStart){
		this.careCfgIdStart = careCfgIdStart;
		return this;
    }

    /**
    * 设置 结束 主动关怀配置id
    * @param careCfgIdEnd
    */
    public CareConfigTimesQuery careCfgIdEnd(Long careCfgIdEnd){
		this.careCfgIdEnd = careCfgIdEnd;
		return this;
    }

    /**
    * 设置 增加 主动关怀配置id
    * @param careCfgIdIncrement
    */
    public CareConfigTimesQuery careCfgIdIncrement(Long careCfgIdIncrement){
		this.careCfgIdIncrement = careCfgIdIncrement;
		return this;
    }

    /**
    * 设置 主动关怀配置id
    * @param careCfgIdList
    */
    public CareConfigTimesQuery careCfgIdList(List<Long> careCfgIdList){
        this.careCfgIdList = careCfgIdList;
		return this;
        }

        /**
        * 设置 主动关怀配置id
        * @param careCfgIdNotList
        */
        public CareConfigTimesQuery careCfgIdNotList(List<Long> careCfgIdNotList){
        this.careCfgIdNotList = careCfgIdNotList;
        return this;
        }




	/**
    * 设置 备注
    * @param remark
    */
    public CareConfigTimesQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public CareConfigTimesQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public CareConfigTimesQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public CareConfigTimesQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public CareConfigTimesQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public CareConfigTimesQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public CareConfigTimesQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public CareConfigTimesQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public CareConfigTimesQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public CareConfigTimesQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public CareConfigTimesQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public CareConfigTimesQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public CareConfigTimesQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public CareConfigTimesQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CareConfigTimesQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CareConfigTimesQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CareConfigTimesQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CareConfigTimesQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}